/// <reference types="node" />
import { Request, Response } from 'express';
import { IncomingMessage, ServerResponse } from 'http';
export default function processRequest(request: Request | IncomingMessage, response: Response | ServerResponse, { maxFieldSize, maxFileSize, maxFiles, }?: {
    maxFieldSize?: number | undefined;
    maxFileSize?: number | undefined;
    maxFiles?: number | undefined;
}): Promise<unknown>;
