var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import defaultProcessRequest from './processRequest.mjs';
export default function graphqlUploadKoa(_a = {}) {
    var { processRequest = defaultProcessRequest } = _a, processRequestOptions = __rest(_a, ["processRequest"]);
    async function graphqlUploadKoaMiddleware(ctx, next) {
        if (!ctx.request.is('multipart/form-data'))
            return next();
        const requestEnd = new Promise((resolve) => ctx.req.on('end', resolve));
        try {
            ctx.request.body = await processRequest(ctx.req, ctx.res, processRequestOptions);
            await next();
        }
        finally {
            await requestEnd;
        }
    }
    return graphqlUploadKoaMiddleware;
}
